#include "AScript.h"

namespace AScript {

//-----------------------------------------------------------------------------
// Module
//-----------------------------------------------------------------------------
bool Module::IsModule() const { return true; }

Module::~Module()
{
}

Module *Module::Clone() const
{
	return new Module(*this);
}

String Module::ToString(Signal sig, bool exprFlag)
{
	String str;
	str += _T("<module:");
	str += GetName();
	str += _T(">");
	return str;
}

void InitModule(Environment &env)
{
	SymbolPool::SetInstance(env.GetGlobal()->_pSymbolPool);
}

}
